#!/bin/bash
# Script para monitoramento da utilização do disco
# Autor: Jean Teixeira
# jcta@cin.ufpe.br

# Escreve o cabeçalho de identificação dos dados
echo "Used(KB)  Avail(KB) Use% Date Time" > monitoramento-disco.txt

echo "Used(KB)  Avail(KB) Use% Date Time"

while [ True ]
do
   # Obtem o tempo atual, no formato RFC3339: AAAA-MM-DD HH:MM:SS 
   tempo=`date --rfc-3339=seconds`
   
   # Armazena somente os campos de interesse: Free, Available e %Used
   disco=`df | grep /dev/sda5 | awk '{print $3,$4,$5}'`

   # Separa data e hora do tempo obtido
   data=`echo $tempo | cut -d\  -f1`
   hora=`echo $tempo | cut -d\  -f2| gawk 'BEGIN{FS="-"}{print $1}'`
   
   # Mostre na tela as informações capturadas pelos script
   echo $disco $data $hora

   # Escreve no arquivo as informações do disco
   echo $disco $data $hora >> monitoramento-disco.txt

   # Executa o script a cada X unidade de tempo 
   sleep 10

done

