#!/bin/bash
# Script para monitoramento do processo do Firefox
# Autor: Jean Teixeira
# jcta@cin.ufpe.br

# Escreve o cabeçalho de identificação dos dados
echo "%cpu %mem virt.mem res.mem data hora" > monitoramento-firefox.txt

echo "%cpu %mem virt.mem res.mem data hora"

while [ True ]
do
   # Obtem o PID do processo eucalyptus-cloud
   pid=`ps aux | grep "firefox/firefox" | grep Sl | awk '{print $2}'`

   # Obtem os campos de interesse
   proc=`pidstat -u -h -p $pid -T ALL -r 10 1 | sed -n '4p' | awk '{print $6,$12,$10,$11}'`

   # Obtem o tempo atual, no formato RFC3339: AAAA-MM-DD HH:MM:SS 
   tempo=`date --rfc-3339=seconds`

   # Separa data e hora do tempo obtido
   data=`echo $tempo | cut -d\  -f1`
   hora=`echo $tempo | cut -d\  -f2| awk 'BEGIN{FS="-"}{print $1}'`
   
   # Mostre na tela as informações capturadas pelos script
   echo $proc $data $hora

   # Escreve no arquivo as informações do disco
   echo $proc $data $hora >> monitoramento-firefox.txt

   # Executa o script a cada X unidade de tempo 
   #sleep 60

done

